cURL
Records
Create record
Create a new record.
POST
cURL
Overview
Create a record in a standard or custom object. Put attribute values insidedata and include all required attributes defined on the object.
A conflicting unique value returns an error. If your workflow should update an
existing record or create one when missing, use
Upsert record.
Examples
SetUNIFY_API_KEY to your API key.
Create a company
Create a company
This example uses synthetic company data:The response contains the new record in
data. Save data.id for later
updates or list membership operations.Create a person at an existing company
Create a person at an existing company
A nested If the referenced company is missing, its reference resolves to Use this object as the value of
match finds the company by its unique domain. Replace these example
values with the person’s details and a company already in your workspace.null. To
create the company when needed, include a nested create:data.company in the person request.Create a custom record
Create a custom record
Suppose you’ve defined a Create the object and its attributes before sending this request. Match each
value to the attribute’s type and use valid options for select attributes.
product_user object with user_id, full_name,
email_address, and plan attributes. Use those attributes’ API names in
data:Authorizations
Path Parameters
The API name of an object, e.g. company, person, opportunity, or a
custom object's API name.
Query Parameters
Validation mode for request data.
strict: Reject requests if any attribute is invalid or unrecognized.ignore_invalid: Ignore unknown attributes and omit invalid values for optional attributes. Reject requests with an invalid body structure or invalid required attributes.
Available options:
strict, ignore_invalid Body
application/json
Request body for creating a record.
The attribute values for the new record.
All required attributes on the object must be included.